API referenceCreate a booking page

Create a booking page

curl -X POST "https://api.meetonbridge.com/v1/booking-pages" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (bridge_live_...)" \
  -d '{
  "name": "John Doe",
  "description": "null",
  "duration_minutes": 42,
  "timezone": "null",
  "slug": "example_string",
  "status": "active",
  "visibility": "public",
  "scheduling_method": "one_on_one",
  "host_user_ids": [
    123
  ],
  "location_type": "bridge",
  "reminder_minutes": [
    42
  ],
  "collection_id": "null"
}'
{
  "status": "example_string",
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "slug": "example_string",
    "description": "null",
    "duration_minutes": 42,
    "timezone": "null",
    "status": "active",
    "visibility": "public",
    "booking_url": "null",
    "location_type": "bridge",
    "location": "null",
    "scheduling_method": "one_on_one",
    "hosts": [
      {
        "id": 123,
        "name": "John Doe",
        "email": "null"
      }
    ],
    "collection_id": "null",
    "questions": [
      {
        "id": "example_string",
        "label": "example_string",
        "type": "example_string",
        "required": true,
        "options": "null"
      }
    ],
    "collect_guests": true,
    "collect_notes": true,
    "reminder_minutes": [
      42
    ],
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
}
POST
/booking-pages
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (bridge_live_...)
Bearer Tokenstring
Required

Bearer token (bridge_live_...) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Max length: 200
duration_minutesinteger
Min: 5 • Max: 480
statusstring
Options: active, inactive, paused
visibilitystring
Options: public, unlisted
scheduling_methodstring
Options: one_on_one, collective, round_robin
location_typestring
Options: bridge, in_person, none
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (bridge_live_...). Authentication token required.

Body

application/json
statusstring
Allowed values:activeinactivepaused
visibilitystring
Allowed values:publicunlisted
scheduling_methodstring
Allowed values:one_on_onecollectiveround_robin
location_typestring
Allowed values:bridgein_personnone

Responses